> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legnext.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Shorten

> Simplify prompts to essential elements

## Headers

| Header      | Type   | Required | Description  |
| ----------- | ------ | -------- | ------------ |
| `x-api-key` | string | Yes      | Your API key |

## Request Body

| Parameter  | Type   | Required | Description                                           |
| ---------- | ------ | -------- | ----------------------------------------------------- |
| `prompt`   | string | Yes      | The prompt to analyze and shorten (1-8192 characters) |
| `callback` | string | No       | Callback URL for task completion notifications        |

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://api.legnext.ai/api/v1/shorten" \
    -H "x-api-key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "prompt": "A cyberpunk hacker workspace filled with holographic screens, glowing code streams, mechanical keyboards, neon reflections, cables and circuit boards everywhere, volumetric lighting, ultra-detailed sci-fi aesthetic, cinematic atmosphere, inspired by Ghost in the Shell and Blade Runner, rendered in octane, 8k resolution --ar 21:9 --v 7 --style raw --q 2",
      "callback": "https://webhook.site/your-webhook-id"
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.legnext.ai/api/v1/shorten"
  headers = {
      "x-api-key": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }
  data = {
      "prompt": "A cyberpunk hacker workspace filled with holographic screens, glowing code streams, mechanical keyboards, neon reflections, cables and circuit boards everywhere, volumetric lighting, ultra-detailed sci-fi aesthetic, cinematic atmosphere, inspired by Ghost in the Shell and Blade Runner, rendered in octane, 8k resolution --ar 21:9 --v 7 --style raw --q 2",
      "callback": "https://webhook.site/your-webhook-id"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(result)

  # Query result
  job_id = result["job_id"]
  query_url = f"https://api.legnext.ai/api/v1/job/{job_id}"
  result = requests.get(query_url, headers={"x-api-key": "YOUR_API_KEY"})
  output = result.json()["output"]
  print("Shortened prompts:", output["prompts"])
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.legnext.ai/api/v1/shorten', {
    method: 'POST',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      prompt: 'A cyberpunk hacker workspace filled with holographic screens, glowing code streams, mechanical keyboards, neon reflections, cables and circuit boards everywhere, volumetric lighting, ultra-detailed sci-fi aesthetic, cinematic atmosphere, inspired by Ghost in the Shell and Blade Runner, rendered in octane, 8k resolution --ar 21:9 --v 7 --style raw --q 2',
      callback: 'https://webhook.site/your-webhook-id'
    })
  });

  const result = await response.json();
  console.log(result);

  // Poll for result
  const jobId = result.job_id;
  let output;
  while (true) {
    const queryResponse = await fetch(
      `https://api.legnext.ai/api/v1/job/${jobId}`,
      {
        headers: { 'x-api-key': 'YOUR_API_KEY' }
      }
    );

    const data = await queryResponse.json();
    if (data.status === 'completed') {
      output = data.output;
      break;
    }

    await new Promise(resolve => setTimeout(resolve, 5000)); // Wait 5 seconds
  }

  console.log('Shortened prompts:', output.prompts);
  ```
</CodeGroup>

## Response

Returns a task object containing the task information.

```json theme={null}
{
    "job_id": "48833d7a-d588-4ad9-897b-25e1ea9edff7",
    "model": "midjourney",
    "task_type": "shorten",
    "status": "pending",
    "config": {
        "service_mode": "public",
        "webhook_config": {
            "endpoint": "",
            "secret": ""
        }
    },
    "input": null,
    "output": {
        "promptEn": "",
        "description": "",
        "finalPrompt": "",
        "prompts": []
    },
    "meta": {
        "created_at": "",
        "started_at": "",
        "ended_at": "",
        "usage": {
            "type": "point",
            "frozen": 20,
            "consume": 0
        }
    },
    "detail": null,
    "logs": [],
    "error": {
        "code": 0,
        "raw_message": "",
        "message": "",
        "detail": null
    }
}
```

<Note>
  This is the initial success response. Use the `job_id` to check the task status via the [Get Task](/api-reference/task-management/get-task) endpoint to retrieve the completed result with shortened prompts.
</Note>


## OpenAPI

````yaml POST /v1/shorten
openapi: 3.0.3
info:
  title: Legnext AI API
  description: >
    Comprehensive API for professional image and video generation and
    manipulation using Midjourney AI models.


    ## Authentication

    All API requests require an API key passed in the `x-api-key` header.


    ## Base URL

    `https://api.legnext.ai/api`


    ## Rate Limiting

    API requests are rate limited based on your subscription plan.


    ## Webhook Support

    Most endpoints support optional callbacks. When a callback URL is provided,
    the API will POST the completed job result to that URL.
  version: 1.0.0
  contact:
    name: Legnext Support
    email: support@legnext.ai
    url: https://legnext.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.legnext.ai/api
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Image Generation
    description: Text to image, image editing, and manipulation endpoints
  - name: Video Generation
    description: Video creation and enhancement endpoints
  - name: Image Enhancement
    description: AI-powered image upscaling and enhancement using Topaz Labs
  - name: Task Management
    description: Job status tracking and retrieval
  - name: Account
    description: Account information and active tasks management
paths:
  /v1/shorten:
    post:
      tags:
        - Image Generation
      summary: Shorten Prompt
      description: Analyze and simplify prompts to their most essential elements
      operationId: shortenPrompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShortenRequest'
      responses:
        '200':
          description: Shortening task created successfully
          content:
            application/json:
              schema:
                $ref: 6d781e11-1d35-4b14-b58a-515c92e0dd0e
        '400':
          description: Bad Request - Invalid request parameters or malformed request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 400
                message: Invalid request parameters
                raw_message: Invalid request parameters
                detail: null
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 401
                message: Failed to verify api key
                raw_message: ''
                detail: null
        '402':
          description: >-
            Payment Required - Insufficient credits in user account or provider
            account issue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 402
                message: insufficient quota
                raw_message: insufficient quota
                detail: null
        '403':
          description: Forbidden - Sensitive content detected or permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 403
                message: Forbidden - Sensitive content detected
                raw_message: Forbidden - Sensitive content detected
                detail: null
        '413':
          description: Payload Too Large - File size exceeds maximum limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 413
                message: File size exceeds maximum limit
                raw_message: file too large
                detail: null
        '422':
          description: Unprocessable Entity - Invalid parameter values or validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 422
                message: Invalid parameter values
                raw_message: Invalid parameter values
                detail: null
        '429':
          description: Too Many Requests - Rate limit exceeded (automatically retried)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 429
                message: rate limit exceeded, please retry later
                raw_message: rate limit exceeded, please retry later
                detail: null
        '500':
          description: Internal Server Error - Server-side error (automatically retried)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 500
                message: Internal server error
                raw_message: Internal server error
                detail: null
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ShortenRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          minLength: 1
          maxLength: 8192
          description: Prompt to shorten
        callback:
          type: string
          format: uri
          description: Callback URL for task completion notifications
    Error:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 400
        message:
          type: string
          description: Human-readable error message
          example: Invalid request parameters
        raw_message:
          type: string
          description: Raw error message from service
          example: image_url must start with http:// or https://
        detail:
          type: object
          nullable: true
          description: Additional error details
          example: null
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````